Get File
Gets canonical metadata and processing state for one accessible File.
AuthorizationBearer <token>
Signed-in user's Supabase access token. Workspace-scoped operations also require SMB-Workspace-Id.
In: header
Path Parameters
file_id*string
Stable File ID.
Match
^fil_[0-7][0-9A-HJKMNP-TV-Z]{25}$Header Parameters
SMB-Workspace-Id*string
Workspace where this operation runs. Required for user tokens and Workspace API keys.
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/files/string" \ -H "SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "file": { "file_id": "string", "business_id": "string", "name": "string", "description": "string", "classification": "financial", "tags": [ "string" ], "origin": "upload", "lifecycle": "active", "current_version": { "file_version_id": "string", "version_number": 1, "content_type": "string", "size_bytes": 1, "sha256": "string", "processing_status": "pending_upload", "processing_error": "string", "summary": "string", "created_at": "2019-08-24T14:15:22Z", "ready_at": "2019-08-24T14:15:22Z" }, "revision": 1, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "archived_at": "2019-08-24T14:15:22Z", "access_level": "view" }, "request_id": "string"}